{{#if (or this.fastboot.isFastBoot (not this.model))}}
  <LoadingContainer />
{{else}}
  <div class='d-flex flex-column h-100'>
    <Sheet::Title @title={{@model.map.name}} class='p-2' />

    <Sheet::Frame
      @sorts={{this.sorts}}
      @onUpdateSorts={{this.updateSorting}}
      @cols={{this.cols}}
      @records={{@model.records}}
      @startIndex={{this.startIndex}}
      @total={{this.featureCount}}
      @onScroll={{this.scroll}}
      @onEdit={{this.edit}}
    />

    <Sheet::Tabs @icons={{this.iconsWithAttributes}} @value={{this.selectedIcon}} @onSelect={{this.selectTab}} />
  </div>
{{/if}}